unit Testform;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, ExtCtrls, Sprite, SFList, SFrame, SMaster;

type
    TForm1 = class(TForm)
    Background: TImage;
    procedure FormCreate(Sender: TObject);
    procedure BackgroundMouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);

  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  FSMaster:TSMaster;
  Sprite1, Sprite2, Sprite3, Sprite4: TSprite;
  lTest:integer;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
Var ptrCurrent:ptrFrameNode;
    lTest:integer;
    FCross1, FCross2 : TSFrame;
begin
   FCross1:=TSFrame.Create(Self);
   FCross2:=TSFrame.Create(Self);

   FCross1.bLoadImage('E:\WINDOWS\testbuck.BMP');
   FCross2.bLoadImage('E:\WINDOWS\testbuck.BMP');

   FSMaster:=TSMaster.Create(Self);
   FSMaster.SetDisplay(Background);
   FSMaster.LoadBackground('E:\WINDOWS\WINLOGO.BMP');
   FSMaster.SetActiveBackground(Rect(0,0,320,240));
   FSMaster.RefreshBuffer;
   FSMaster.RefreshDisplay;

   Sprite1:=TSprite.Create(Self);
   Sprite1.Description := 'Cross';
   Sprite1.FGetFrames.ptrAddFrame(FCross1,1);
   Sprite1.FGetFrames.ptrAddFrame(FCross2,2);

   Sprite2:=TSprite.Create(Self);
   Sprite2.Description := 'Cross';
   Sprite2.FGetFrames.ptrAddFrame(FCross1,1);
   Sprite2.FGetFrames.ptrAddFrame(FCross2,2);

   Sprite3:=TSprite.Create(Self);
   Sprite3.Description := 'Cross';
   Sprite3.FGetFrames.ptrAddFrame(FCross1,1);
   Sprite3.FGetFrames.ptrAddFrame(FCross2,2);

   Sprite4:=TSprite.Create(Self);
   Sprite4.Description := 'Cross';
   Sprite4.FGetFrames.ptrAddFrame(FCross1,1);
   Sprite4.FGetFrames.ptrAddFrame(FCross2,2);

   FSMaster.ptrAddSprite(Sprite1,Sprite1.ZOrder);
   FSMaster.ptrAddSprite(Sprite2,Sprite2.ZOrder);
   FSMaster.ptrAddSprite(Sprite3,Sprite3.ZOrder);
   FSMaster.ptrAddSprite(Sprite4,Sprite4.ZOrder);

   lTest:=0;

end;

procedure TForm1.BackgroundMouseMove(Sender: TObject; Shift: TShiftState;
  X, Y: Integer);
Var ptrCurrent:ptrFrameNode;
begin
  {ptrCurrent:=Sprite4.FGetFrames.ptrNextCurrent;
  if ptrCurrent=NIL then
     ptrCurrent:=Sprite4.FGetFrames.ptrSetCurrentbyPtr(Sprite4.FGetFrames.ptrGetFirst);

  FSMaster.RefreshBuffer;}

  Sprite2.MoveSprite(X-24,100-12);
  Sprite3.MoveSprite(X-24,150-12);
  Sprite4.MoveSprite(X-24,200-12);
  FSMaster.SetDirtyRect(Rect(0,100-12,320,200+12));
  FSMaster.RefreshDisplay;

end;

end.
